> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a job's history

> Get the run history for the specified job.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-config.json get /job-config/jobs/{resource}/history
openapi: 3.0.1
info:
  title: Fusion Job Config API
  description: API for the Job Configuration and History of Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Manage task jobs
    description: Fetch, create, update, and delete task job configurations.
  - name: Manage all jobs
    description: Fetch, create, update, and delete task jobs and Spark jobs.
  - name: Manage job schedules
    description: Fetch, configure, and reset job schedules.
  - name: Get job histories
    description: Get the history of any job.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-config/jobs/{resource}/history:
    get:
      tags:
        - Get job histories
      summary: Get a job's history
      description: Get the run history for the specified job.
      operationId: listJobHistory
      parameters:
        - name: resource
          in: path
          description: The job ID, prefixed with the job type, as in `spark:my-spark-job`.
          required: true
          schema:
            type: string
          example: task:refresh-autocomplete-blob2
        - name: limit
          in: query
          description: Return first N history items.
          required: false
          schema:
            type: integer
            format: int32
            default: 100
        - name: context
          description: The app to which a job belongs, formatted as `app:APP_NAME`.
          example: app:api-test-app
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JobRunView'
              example:
                - resource: task:refresh-autocomplete-blob2
                  runId: dbaeizohsfce
                  startTime: '2025-12-18T19:49:15.470Z'
                  endTime: '2025-12-18T19:49:16.070Z'
                  status: failed
                  extra:
                    podId: dev-job-config-6fff5f4564-qz8kk
                  result:
                    error: >-
                      Task refresh-autocomplete-blob2 can't download from
                      https://doc.lucidworks.com/autocomplete/5.9/autocomplete_documentation.json
                  startedBy: admin
components:
  schemas:
    JobRunView:
      type: object
      properties:
        resource:
          type: string
        runId:
          type: string
        startTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        status:
          type: string
        extra:
          type: object
        result:
          type: object
        startedBy:
          type: string

````